## GESVideoUriSource GESVideoUriSource — outputs a single video stream from a given file |

## Properties

gchar * | uri | Read / Write / Construct Only

## Types and Values

| GESVideoUriSource

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESSource
                        ╰── GESVideoSource
                            ╰── GESVideoUriSource

## Implemented Interfaces

GESVideoUriSource implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

## Types and Values

### GESVideoUriSource

    typedef struct _GESVideoUriSource GESVideoUriSource;

## Property Details

### The `“uri”` property

      “uri”                      gchar *

The location of the file/resource to use.

Flags: Read / Write / Construct Only

Default value: NULL